<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/RecebimentosModel.php';
require_once '../Class/controller/RecebimentosControl.php';
include_once('../Database/MySQL.Aux.php');

$control = new RecebimentosControl();
$model = new RecebimentosModel();
$aux = new MySQLAux();

$control->setDel();

$del = $control->getDel();

if ($del > 0)
{
	$model->setId($del);
	$model->delete();
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Recebimentos</div>

<div class="pg-botoes" style="float: right;"><a
	href="cadrecebimentos.php" class="submit"> cadastrar </a></div>
<br clear="all" />
<table border="0" cellpadding="3" cellspacing="0"
	class="gridPesquisa fundoGridPesquisa" width="100%">
	<tr>
		<th>Id</th>
		<th>Cliente</th>
		<th>Pasta</th>
		<th>Tipo</th>
		<th>Forma</th>
		<th>Valor</th>
		<th>Data Recebimento</th>
		<th></th>
	</tr>

	<?php

	foreach ($model->listAll() as $item) {

		echo "<tr>";
		echo "<td> <a href='cadrecebimentos.php?id={$item->getId()}'> {$item->getId()} </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id={$item->getId()}'> {$control->getCliente($item->getCliente())} </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id={$item->getId()}'> {$control->getPasta($item->getPasta())} </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id={$item->getId()}'> {$item->getTipo()} </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id={$item->getId()}'> {$item->getForma()} </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id={$item->getId()}'> {$aux->getValorBR($item->getValor())} </a></td>";
		echo "<td> <a href='cadrecebimentos.php?id={$item->getId()}'> {$aux->getDataBR($item->getDtRecebimento())} </a></td>";
		echo "<td> <a href='recebimentos.php?del={$item->getId()}' onclick='return DeleteItem();'> <img src='images/ico-minus.png' /> </a> </td>";
		echo "</tr>";
	}

	?>
</table>
</div>

</div>

</div>

	<?php include_once('controls/footer.php'); ?>

</body>
</html>
